Bug 67679 - Some file-url-mimetypes subtests fail on rare extensions
Summary: Some file-url-mimetypes subtests fail on rare extensions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alexey Proskuryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-06 15:24 PDT by Alexey Proskuryakov
Modified: 2011-09-08 13:52 PDT (History)
2 users (show)

See Also:


Attachments
proposed fix (4.66 KB, patch)
2011-09-06 15:25 PDT, Alexey Proskuryakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2011-09-06 15:24:04 PDT
For whatever reason, I'm getting different results on some of these tests. Perhaps a different CFNetwork build, or some installed software changes these.

Given the nature of differences, it doesn't seem that it's worth investigating, so I suggest simply removing those subtests.

.cpt: application/mac-compactpro -> application/x-compactpro
.lha: application/octet-stream -> application/lzh
.lzh: application/octet-stream -> application/lzh
Comment 1 Alexey Proskuryakov 2011-09-06 15:25:57 PDT
Created attachment 106498 [details]
proposed fix
Comment 2 Darin Adler 2011-09-07 14:28:50 PDT
Comment on attachment 106498 [details]
proposed fix

Seems OK to stop testing these, but not great.
Comment 3 WebKit Review Bot 2011-09-08 11:04:12 PDT
Comment on attachment 106498 [details]
proposed fix

Clearing flags on attachment: 106498

Committed r94767: <http://trac.webkit.org/changeset/94767>
Comment 4 WebKit Review Bot 2011-09-08 11:04:17 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Ryosuke Niwa 2011-09-08 13:39:55 PDT
file-url-mimetypes.html and file-url-mimetypes-2.html are now failing on Snow Leopard:
http://build.webkit.org/results/SnowLeopard%20Intel%20Release%20(Tests)/r94782%20(32929)/results.html
Comment 6 Alexey Proskuryakov 2011-09-08 13:52:48 PDT
Updated platform specific results in <http://trac.webkit.org/changeset/94794>.